Notify data lake about content events that happened in the source repository
POST/v1/ingestion-events
Deprecated: please use /v2/ingestion-events endpoint instead
After uploading files with presigned URLs, you call this endpoint to associate
metadata and trigger ingestion. For example, when using createOrUpdate, you
can reference the id from a presigned URL to link the binary file.
Below is a simplified flow illustrating how ingestion might fit into the overall process:
+---------------------------+
| POST /v1/presigned-urls | (Return up to 100 pre-signed URLs)
+-----------+---------------+
|
v
PUT each file to S3 using
the presigned URLs
|
v
+------------+--------------+
| POST /v1/ingestion-events |
| (createOrUpdate, etc.) |
+------------+--------------+
|
v
Request accepted (202), ingestion queued
(Data Platform asynchronously processes
and stores/updates objects if successful.)
Request
Responses
- 202
- 400
- 401
- 403
- 422
- 500
Accepted
Bad Request
Unauthorized
Forbidden
Unprocessable Content
Internal Server Error